﻿
--[[


		$title:			Natur Enemy Castbar [Softrix Rewrite]
		$version:		r20118 BETA
		$date:			11th November 2008
		
		$credits:		Natur Enemy Castbar [Softrix Rewrite] is a complete rewrite
						based on the addon by Naturfreund.  Credits also go to 
						Shadowed who is the author of the GTB bar library which I
						have modified for this addon.  The original unmodified GTB 
						library for the purpose of these credits is at:
						
						http://www.wowinterface.com/downloads/info10204-GTB-1.0.html
						
						
		
]]--


NECB_DeminishTimeout = 18;		-- Length of time until DR resets

-- spell_id, duration, cooldown, pvp_dur, dr?, cc?, combo_award (no. of points this spell gives), stacks(no)
NECB_SupportedAbilities = {

	-- PRIEST ===================================
	-- Devouring Plague
	{ 2944, 24, 24, nil, false , false, nil, nil },			
	{ 19276, 24, 24, nil, false , false, nil, nil },			
	{ 19277, 24, 24, nil, false , false, nil, nil },			
	{ 19278, 24, 24, nil, false , false, nil, nil },			
	{ 19279, 24, 24, nil, false , false, nil, nil },			
	{ 19280, 24, 24, nil, false , false, nil, nil },			
	{ 25467, 24, 24, nil, false , false, nil, nil },			
	{ 48299, 24, 24, nil, false , false, nil, nil },			
	{ 48300, 24, 24, nil, false , false, nil, nil },	
	-- Divine Hymn
	{ 47951, 20, 360, nil, false , false, nil, nil },	
	-- Fear Ward
	{ 6346, 180, 180, nil, false , false, nil, nil },
	-- Mind Control
	{ 605, 60, nil, 10, true , false, nil, nil },
	-- Psychic Scream
	{ 8122, 8, 30, nil, false , false, nil, nil },			
	{ 8124, 8, 30, nil, false , false, nil, nil },			
	{ 10888, 8, 30, nil, false , false, nil, nil },			
	{ 10890, 8, 30, nil, false , false, nil, nil },			
	-- Renew
	{ 139, 15, nil, nil, false , false, nil, nil },		
	{ 6074, 15, nil, nil, false , false, nil, nil },
	{ 6075, 15, nil, nil, false , false, nil, nil },
	{ 6076, 15, nil, nil, false , false, nil, nil },
	{ 6077, 15, nil, nil, false , false, nil, nil },
	{ 6078, 15, nil, nil, false , false, nil, nil },
	{ 10927, 15, nil, nil, false , false, nil, nil },
	{ 10928, 15, nil, nil, false , false, nil, nil },
	{ 10929, 15, nil, nil, false , false, nil, nil },
	{ 25315, 15, nil, nil, false , false, nil, nil },
	{ 25221, 15, nil, nil, false , false, nil, nil },
	{ 25222, 15, nil, nil, false , false, nil, nil },
	{ 48067, 15, nil, nil, false , false, nil, nil },
	{ 48067, 15, nil, nil, false , false, nil, nil },		
	-- Shackle Undead
	{ 9484, 30, nil, nil, false , true, nil, nil },
	{ 9485, 40, nil, nil, false , true, nil, nil },
	{ 10955, 50, nil, nil, false , true, nil, nil },
	-- Shadowfiend
 	{ 34433, 15, 300, nil, false , false, nil, nil },
	-- Shadow Word: Death
	{ 32379, nil, 12, nil, false , false, nil, nil },
	{ 32996, nil, 12, nil, false , false, nil, nil },
	{ 48157, nil, 12, nil, false , false, nil, nil },
	{ 48158, nil, 12, nil, false , false, nil, nil },
	-- Shadow Word: Pain
 	{ 589, 18, nil, nil, false , false, nil, nil },
 	{ 594, 18, nil, nil, false , false, nil, nil },
 	{ 970, 18, nil, nil, false , false, nil, nil },
 	{ 992, 18, nil, nil, false , false, nil, nil },
 	{ 2767, 18, nil, nil, false , false, nil, nil },
 	{ 10892, 18, nil, nil, false , false, nil, nil },
 	{ 10893, 18, nil, nil, false , false, nil, nil },
 	{ 10894, 18, nil, nil, false , false, nil, nil },
 	{ 24367, 18, nil, nil, false , false, nil, nil },
 	{ 25368, 18, nil, nil, false , false, nil, nil },
 	{ 48124, 18, nil, nil, false , false, nil, nil },
 	{ 48125, 18, nil, nil, false , false, nil, nil },
 	-- Vampiric Touch
 	{ 34914, 15, nil, nil, false , false, nil, nil },
 	{ 34916, 15, nil, nil, false , false, nil, nil },
 	{ 34917, 15, nil, nil, false , false, nil, nil },
 	{ 48159, 15, nil, nil, false , false, nil, nil },
 	{ 48190, 15, nil, nil, false , false, nil, nil },
	-- Vamiric Embrace
 	{ 15286, 60, 10, nil, false , false, nil, nil },
	-- Power Word: Shield
	{17, 30, 4, nil, false , false, nil, nil },
	{592, 30, 4, nil, false , false, nil, nil },
	{600, 30, 4, nil, false , false, nil, nil },
	{3742, 30, 4, nil, false , false, nil, nil },
	{6065, 30, 4, nil, false , false, nil, nil },
	{6066, 30, 4, nil, false , false, nil, nil },
	{10898, 30, 4, nil, false , false, nil, nil },
	{10899, 30, 4, nil, false , false, nil, nil },
	{10900, 30, 4, nil, false , false, nil, nil },
	{10901, 30, 4, nil, false , false, nil, nil },
	{25217, 30, 4, nil, false , false, nil, nil },
	{25218, 30, 4, nil, false , false, nil, nil },
	{48065, 30, 4, nil, false , false, nil, nil },
	{48066, 30, 4, nil, false , false, nil, nil },
	-- Shadow Weaving
	{15257, 15, nil, nil, false , false, nil, 5 },
	{15331, 15, nil, nil, false , false, nil, 5 },
	{15332, 15, nil, nil, false , false, nil, 5 },
	-- Weakened Soul
	{6788, nil, 15, nil, false , false, nil, nil },

	-- ROGUE ====================================
	-- Adrenaline Rush
 	{ 13750, 15, 300, nil, false , false, nil, nil },
 	-- Blade Flurry
  	{ 13877, 15, 120, nil, false , false, nil, nil },
	-- Blind
 	{ 2094, 10, 180, nil, false , false, nil, nil },
	-- Cloak of Shadows
 	{ 31224, 5, 90, nil, false , false, nil, nil },
	-- Cheap Shot
 	{ 1833, 4, nil, nil, false , false, nil, nil },
	-- Distract
 	{ 1725, 10, 30, nil, false , false, nil, nil },
 	-- Evasion
  	{ 5277, 15, 180, nil, false , false, nil, nil },
 	{ 26669, 15, 180, nil, false , false, nil, nil },
	-- Fan of Knives
 	{ 51723, nil, 10, nil, false , false, nil, nil },
 	-- Ghostly Strike
 	{ 14278, 7, 20, nil, false , false, nil, nil },
	-- Garrote
 	{ 703, 18, nil, nil, false , false, nil, nil },
 	{ 8631, 18, nil, nil, false , false, nil, nil },
 	{ 8632, 18, nil, nil, false , false, nil, nil },
 	{ 8633, 18, nil, nil, false , false, nil, nil },
 	{ 11289, 18, nil, nil, false , false, nil, nil },
 	{ 11290, 18, nil, nil, false , false, nil, nil },
 	{ 26839, 18, nil, nil, false , false, nil, nil },
 	{ 26884, 18, nil, nil, false , false, nil, nil },
 	{ 48675, 18, nil, nil, false , false, nil, nil },
 	{ 48676, 18, nil, nil, false , false, nil, nil },
 	-- Gouge 
  	{ 1776, 4, 10, nil, false , false, nil, nil },
  	-- Kidney Shot
   	{ 408, nil, 20, nil, false , false, nil, nil },
   	{ 8643, nil, 20, nil, false , false, nil, nil },
	-- Kick
  	{ 1766, 5, 10, nil, false , false, nil, nil },
  	-- Mind Blast
   	{ 8092, nil, 8, nil, false , false, nil, nil },
   	{ 8102, nil, 8, nil, false , false, nil, nil },
	{ 8103, nil, 8, nil, false , false, nil, nil },
  	{ 8104, nil, 8, nil, false , false, nil, nil },
   	{ 8105, nil, 8, nil, false , false, nil, nil },
   	{ 8106, nil, 8, nil, false , false, nil, nil },
   	{ 10945, nil, 8, nil, false , false, nil, nil },
   	{ 10946, nil, 8, nil, false , false, nil, nil },
   	{ 10947, nil, 8, nil, false , false, nil, nil },
   	{ 25372, nil, 8, nil, false , false, nil, nil },
   	{ 25375, nil, 8, nil, false , false, nil, nil },
   	{ 48126, nil, 8, nil, false , false, nil, nil },
   	{ 48127, nil, 8, nil, false , false, nil, nil },
   	-- Mind Flay
	{ 15407, 3, nil, nil, false , false, nil, nil },
	{ 17311, 3, nil, nil, false , false, nil, nil },
	{ 17312, 3, nil, nil, false , false, nil, nil },
	{ 17313, 3, nil, nil, false , false, nil, nil },
	{ 17314, 3, nil, nil, false , false, nil, nil },
	{ 18807, 3, nil, nil, false , false, nil, nil },
	{ 25387, 3, nil, nil, false , false, nil, nil },
	{ 48155, 3, nil, nil, false , false, nil, nil },
	{ 48156, 3, nil, nil, false , false, nil, nil },
	-- Mind Sear
	{ 48045, 5, nil, nil, false , false, nil, nil },
	{ 53022, 5, nil, nil, false , false, nil, nil },
	{ 53023, 5, nil, nil, false , false, nil, nil },	  	
	-- Sap
  	{ 6770, 25, nil, 10, true , true, nil, nil },
  	{ 2070, 35, nil, 10, true , true, nil, nil },
  	{ 11297, 45, nil, 10, true , true, nil, nil },
  	{ 51724, 60, nil, 10, true , true, nil, nil },
  	-- Sprint
   	{ 2983, 15, 180, nil, false , false, nil, nil },
   	{ 8696, 15, 180, nil, false , false, nil, nil },
   	{ 11305, 15, 180, nil, false , false, nil, nil },
	-- Stealth
   	{ 1784, nil, 15, nil, false , false, nil, nil },
   	{ 1785, nil, 15, nil, false , false, nil, nil },
   	{ 1786, nil, 15, nil, false , false, nil, nil },
 	{ 1787, nil, 15, nil, false , false, nil, nil },
	-- Vanish
   	{ 1856, 10, 180, nil, false , false, nil, nil },
   	{ 1857, 10, 180, nil, false , false, nil, nil },
   	{ 26889, 10, 180, nil, false , false, nil, nil },		
	
	-- SHAMAN =======================================
	-- Earth Elemental Totem
	{ 2062, 120, 1200, nil, false , false, nil, nil },
	-- Earthbind Totem
	{2484, 45, 15, nil, false , false, nil, nil },
	-- Fire Nova Totem
	{ 1535, 5, 15, nil, false , false, nil, nil },
	{ 8498, 5, 15, nil, false , false, nil, nil },
	{ 8499, 5, 15, nil, false , false, nil, nil },
	{ 11314, 5, 15, nil, false , false, nil, nil },
	{ 11315, 5, 15, nil, false , false, nil, nil },
	{ 25546, 5, 15, nil, false , false, nil, nil },
	{ 25547, 5, 15, nil, false , false, nil, nil },
	{ 61649, 5, 15, nil, false , false, nil, nil },
	{ 61657, 5, 15, nil, false , false, nil, nil },
	-- Flametongue Totem
	{ 8227, 300, nil, nil, false , false, nil, nil },
	{ 8249, 300, nil, nil, false , false, nil, nil },
	{ 10526, 300, nil, nil, false , false, nil, nil },
	{ 16387, 300, nil, nil, false , false, nil, nil },
	{ 25557, 300, nil, nil, false , false, nil, nil },
	{ 58649, 300, nil, nil, false , false, nil, nil },
	{ 58652, 300, nil, nil, false , false, nil, nil },
	{ 58656, 300, nil, nil, false , false, nil, nil },
	-- Frost Resistance Totem
	{ 8181, 300, nil, nil, false , false, nil, nil },
	{ 10478, 300, nil, nil, false , false, nil, nil },
	{ 10479, 300, nil, nil, false , false, nil, nil },
	{ 25560, 300, nil, nil, false , false, nil, nil },
	{ 58741, 300, nil, nil, false , false, nil, nil },
	{ 58745, 300, nil, nil, false , false, nil, nil },
	-- Healing Stream Totem
	{ 5394, 300, nil, nil, false , false, nil, nil },
	{ 6375, 300, nil, nil, false , false, nil, nil },
	{ 6377, 300, nil, nil, false , false, nil, nil },
	{ 10462, 300, nil, nil, false , false, nil, nil },
	{ 10463, 300, nil, nil, false , false, nil, nil },
	{ 25567, 300, nil, nil, false , false, nil, nil },
	{ 58755, 300, nil, nil, false , false, nil, nil },
	{ 58756, 300, nil, nil, false , false, nil, nil },
	{ 58757, 300, nil, nil, false , false, nil, nil },
	-- Magma Totem
	{ 8190, 20, nil, nil, false , false, nil, nil },
	{ 10585, 20, nil, nil, false , false, nil, nil },
	{ 10586, 20, nil, nil, false , false, nil, nil },
	{ 10587, 20, nil, nil, false , false, nil, nil },
	{ 25552, 20, nil, nil, false , false, nil, nil },
	{ 58731, 20, nil, nil, false , false, nil, nil },
	{ 58734, 20, nil, nil, false , false, nil, nil },
	-- Mana Spring Totem		
	{ 5675, 300, nil, nil, false , false, nil, nil },
	{ 10495, 300, nil, nil, false , false, nil, nil },
	{ 10496, 300, nil, nil, false , false, nil, nil },
	{ 10497, 300, nil, nil, false , false, nil, nil },
	{ 25570, 300, nil, nil, false , false, nil, nil },
	{ 58771, 300, nil, nil, false , false, nil, nil },
	{ 58773, 300, nil, nil, false , false, nil, nil },
	{ 58774, 300, nil, nil, false , false, nil, nil },
	-- Nature Resistance Totem
	{ 10595, 300, nil, nil, false , false, nil, nil },
	{ 10600, 300, nil, nil, false , false, nil, nil },
	{ 10601, 300, nil, nil, false , false, nil, nil },
	{ 25574, 300, nil, nil, false , false, nil, nil },
	{ 58746, 300, nil, nil, false , false, nil, nil },
	{ 58749, 300, nil, nil, false , false, nil, nil },
	-- Poison Cleansing Totem
	{ 8166, 300, nil, nil, false , false, nil, nil },
	-- Searing Totem
	{ 3599, 30, nil, nil, false , false, nil, nil },
	{ 6363, 35, nil, nil, false , false, nil, nil },
	{ 6364, 40, nil, nil, false , false, nil, nil },
	{ 6365, 45, nil, nil, false , false, nil, nil },
	{ 10437, 50, nil, nil, false , false, nil, nil },
	{ 10438, 55, nil, nil, false , false, nil, nil },
	{ 25533, 60, nil, nil, false , false, nil, nil },
	{ 58699, 60, nil, nil, false , false, nil, nil },
	{ 58703, 60, nil, nil, false , false, nil, nil },
	{ 58704, 60, nil, nil, false , false, nil, nil },
	-- Sentry Totem
	{ 6495, 300, nil, nil, false , false, nil, nil },
	-- Stoneclaw Totem
	{ 5730, 15, 30, nil, false , false, nil, nil },
	{ 6390, 15, 30, nil, false , false, nil, nil },
	{ 6391, 15, 30, nil, false , false, nil, nil },
	{ 6392, 15, 30, nil, false , false, nil, nil },
	{ 10427, 15, 30, nil, false , false, nil, nil },
	{ 10428, 15, 30, nil, false , false, nil, nil },
	{ 25525, 15, 30, nil, false , false, nil, nil },
	{ 58580, 15, 30, nil, false , false, nil, nil },
	{ 58581, 15, 30, nil, false , false, nil, nil },
	{ 58582, 15, 30, nil, false , false, nil, nil },
	-- Stoneskin Totem
	{ 8071, 300, nil, nil, false , false, nil, nil },
	{ 8154, 300, nil, nil, false , false, nil, nil },
	{ 8155, 300, nil, nil, false , false, nil, nil },
	{ 10406, 300, nil, nil, false , false, nil, nil },
	{ 10407, 300, nil, nil, false , false, nil, nil },
	{ 10408, 300, nil, nil, false , false, nil, nil },
	{ 25508, 300, nil, nil, false , false, nil, nil },
	{ 25509, 300, nil, nil, false , false, nil, nil },
	{ 58751, 300, nil, nil, false , false, nil, nil },
	{ 58753, 300, nil, nil, false , false, nil, nil },
	-- Strength of Earth Totem
	{ 8075, 300, nil, nil, false , false, nil, nil },
	{ 8160, 300, nil, nil, false , false, nil, nil },
	{ 8161, 300, nil, nil, false , false, nil, nil },
	{ 10442, 300, nil, nil, false , false, nil, nil },
	{ 25361, 300, nil, nil, false , false, nil, nil },
	{ 25528, 300, nil, nil, false , false, nil, nil },
	{ 57622, 300, nil, nil, false , false, nil, nil },
	{ 58643, 300, nil, nil, false , false, nil, nil },
	-- Totem of Wrath
	{ 30706, 300, nil, nil, false , false, nil, nil },
	{ 57720, 300, nil, nil, false , false, nil, nil },
	{ 57721, 300, nil, nil, false , false, nil, nil },
	{ 57722, 300, nil, nil, false , false, nil, nil },
	-- Tremor Totem
	{ 8143, 120, nil, nil, false , false, nil, nil },
	-- Windfury Totem
	{ 8512, 300, nil, nil, false , false, nil, nil },
	-- Wrath of Air Totem
	{ 3738, 300, nil, nil, false , false, nil, nil },	
	-- Heroism
	{ 32182, 40, 600, nil, false , false, nil, nil },
	-- Hex
	{ 51514, 30, 45, 10, true , true, nil, nil },						
	-- Lava Burst
	{ 51504, nil, 8, nil, false , false, nil, nil },
	{ 60043, nil, 8, nil, false , false, nil, nil },
	-- Thunderstorm
	{ 51490, nil, 45, nil, false , false, nil, nil },
	{ 59156, nil, 45, nil, false , false, nil, nil },
	{ 59158, nil, 45, nil, false , false, nil, nil },
	{ 59159, nil, 45, nil, false , false, nil, nil },
		
	-- HUNTER ===========================================
	-- Freeze Trap
	{ 1499, 10, 30, nil, false , true, nil, nil },
	{ 14310, 15, 30, nil, false , true, nil, nil },
	{ 14311, 20, 30, nil, false , true, nil, nil },
	{ 14308, 15, 30, nil, false , true, nil, nil },
	{ 14309, 20, 30, nil, false , true, nil, nil },
	-- Explosive Trap
	{ 12813, 20, 30, nil, false , false, nil, nil },
	{ 14316, 20, 30, nil, false , false, nil, nil },
	{ 14317, 20, 30, nil, false , false, nil, nil },
	{ 27025, 20, 30, nil, false , false, nil, nil },
	{ 49066, 20, 30, nil, false , false, nil, nil },
	{ 49067, 20, 30, nil, false , false, nil, nil },
	{ 27026, 20, 30, nil, false , false, nil, nil },
	{ 49064, 20, 30, nil, false , false, nil, nil },
	{ 49065, 20, 30, nil, false , false, nil, nil },
	-- Frost Trap
	{ 13809, 30, 30, nil, false , false, nil, nil },
	-- Immolation Trap
	{ 13795, 15, 30, nil, false , false, nil, nil },
	{ 14302, 15, 30, nil, false , false, nil, nil },
	{ 14303, 15, 30, nil, false , false, nil, nil },
	{ 14304, 15, 30, nil, false , false, nil, nil },
	{ 14305, 15, 30, nil, false , false, nil, nil },
	{ 27023, 15, 30, nil, false , false, nil, nil },
	{ 49055, 15, 30, nil, false , false, nil, nil },
	{ 49056, 15, 30, nil, false , false, nil, nil },
	{ 49053, 15, 30, nil, false , false, nil, nil },
	{ 49054, 15, 30, nil, false , false, nil, nil },
	-- Snake Trap
	{ 34600, 15, 30, nil, false , false, nil, nil },
		
	-- MAGE ==========================================
	-- Blast Wave
  	{ 11113, 6, 30, nil, false , false, nil, nil },
  	{ 13018, 6, 30, nil, false , false, nil, nil },
  	{ 13019, 6, 30, nil, false , false, nil, nil },
  	{ 13020, 6, 30, nil, false , false, nil, nil },
  	{ 13021, 6, 30, nil, false , false, nil, nil },
  	{ 27133, 6, 30, nil, false , false, nil, nil },
  	{ 33933, 6, 30, nil, false , false, nil, nil },
  	{ 42944, 6, 30, nil, false , false, nil, nil },
  	{ 42945, 6, 30, nil, false , false, nil, nil },
  	-- Counterspell
  	{ 2139, 8, 24, nil, false , false, nil, nil },
  	-- Dragon's Breath
   	{ 31661, 5, 20, nil, false , false, nil, nil },
   	{ 33041, 5, 20, nil, false , false, nil, nil },
   	{ 33042, 5, 20, nil, false , false, nil, nil },
   	{ 33043, 5, 20, nil, false , false, nil, nil },
   	{ 42949, 5, 20, nil, false , false, nil, nil },
   	{ 42950, 5, 20, nil, false , false, nil, nil },
 	-- Ice Barrier
	{ 11426, 60, 30, nil, false , false, nil, nil },
	{ 13031, 60, 30, nil, false , false, nil, nil },
	{ 13032, 60, 30, nil, false , false, nil, nil },
	{ 13033, 60, 30, nil, false , false, nil, nil },
	{ 27134, 60, 30, nil, false , false, nil, nil },
	{ 33405, 60, 30, nil, false , false, nil, nil },
	{ 43038, 60, 30, nil, false , false, nil, nil },
	{ 43039, 60, 30, nil, false , false, nil, nil },
	-- Ice Block
	{ 45438, 10, 300, nil, false , false, nil, nil },	
	-- Polymorph (Sheep)
	{118, 20, nil, 10, true , true, nil, nil },
	{12824, 30, nil, 10, true , true, nil, nil },	
	{12825, 40, nil, 10, true , true, nil, nil },	
	{12826, 50, nil, 10, true , true, nil, nil },	
	-- Polymorph (Others)
	{61305, 50, nil, 10, true , true, nil, nil },						
	{28272, 50, nil, 10, true , true, nil, nil },						
	{61025, 50, nil, 10, true , true, nil, nil },						
	{28271, 50, nil, 10, true , true, nil, nil },					
	-- Summon Water Elemental
	{31687, 45, 180, nil, true , false, nil, nil },						
	
	-- WARLOCK =========================================
	-- Banish
	{ 710, 20, nil, nil, false , true, nil, nil },						
	{ 18647, 30, nil, nil, false , true, nil, nil },						
	-- Chaos Bolt	
	{ 50796, nil, 12, nil, false , false, nil, nil },					
	{ 59170, nil, 12, nil, false , false, nil, nil },					
	{ 59171, nil, 12, nil, false , false, nil, nil },					
	{ 59172, nil, 12, nil, false , false, nil, nil },					
	-- Conflagrate 
	{ 17962, nil, 10, nil, false , false, nil, nil },
	{ 18930, nil, 10, nil, false , false, nil, nil },
	{ 18931, nil, 10, nil, false , false, nil, nil },
	{ 18932, nil, 10, nil, false , false, nil, nil },
	{ 27266, nil, 10, nil, false , false, nil, nil },
	{ 30912, nil, 10, nil, false , false, nil, nil },
	{ 47828, nil, 10, nil, false , false, nil, nil },
	{ 47829, nil, 10, nil, false , false, nil, nil },
	-- Corruption
	{ 172, 12, nil, nil, false , false, nil, nil },
	{ 6222, 15, nil, nil, false , false, nil, nil },
	{ 6223, 18, nil, nil, false , false, nil, nil },
	{ 7648, 18, nil, nil, false , false, nil, nil },
	{ 11671, 18, nil, nil, false , false, nil, nil },
	{ 11672, 18, nil, nil, false , false, nil, nil },
	{ 25311, 18, nil, nil, false , false, nil, nil },
	{ 27216, 18, nil, nil, false , false, nil, nil },
	{ 47812, 18, nil, nil, false , false, nil, nil },
	{ 47813, 18, nil, nil, false , false, nil, nil },	
	-- Curse of Agony
	{ 980, 24, nil, nil, false , false, nil, nil },	
	{ 1014, 24, nil, nil, false , false, nil, nil },	
	{ 6217, 24, nil, nil, false , false, nil, nil },	
	{ 11711, 24, nil, nil, false , false, nil, nil },	
	{ 11712, 24, nil, nil, false , false, nil, nil },	
	{ 11713, 24, nil, nil, false , false, nil, nil },	
	{ 27218, 24, nil, nil, false , false, nil, nil },	
	{ 47863, 24, nil, nil, false , false, nil, nil },	
	{ 47864, 24, nil, nil, false , false, nil, nil },	
	-- Curse of Doom
	{ 603, 60, 60, nil, false , false, nil, nil },	
	{ 30910, 60, 60, nil, false , false, nil, nil },	
	{ 47867, 60, 60, nil, false , false, nil, nil },	
	-- Curse of Recklessness
	{ 704, 120, nil, nil, false , false, nil, nil },	
	{ 7658, 120, nil, nil, false , false, nil, nil },	
	{ 7659, 120, nil, nil, false , false, nil, nil },	
	{ 11717, 120, nil, nil, false , false, nil, nil },	
	{ 27226, 120, nil, nil, false , false, nil, nil },	
	{ 57595, 120, nil, nil, false , false, nil, nil },
	-- Curse of Tongues
	{ 1714, 30, nil, nil, false , false, nil, nil },	
	{ 11719, 30, nil, nil, false , false, nil, nil },	
	-- Curse of Weakness
	{ 702, 120, nil, nil, false , false, nil, nil },
	{ 1108, 120, nil, nil, false , false, nil, nil },
	{ 6205, 120, nil, nil, false , false, nil, nil },
	{ 7646, 120, nil, nil, false , false, nil, nil },
	{ 11707, 120, nil, nil, false , false, nil, nil },
	{ 11708, 120, nil, nil, false , false, nil, nil },
	{ 27224, 120, nil, nil, false , false, nil, nil },
	{ 30909, 120, nil, nil, false , false, nil, nil },
	{ 50511, 120, nil, nil, false , false, nil, nil },
	-- Curse of the Elements
	{ 1490, 300, nil, nil, false , false, nil, nil },
	{ 11721, 300, nil, nil, false , false, nil, nil },
	{ 11722, 300, nil, nil, false , false, nil, nil },
	{ 27228, 300, nil, nil, false , false, nil, nil },
	{ 47865, 300, nil, nil, false , false, nil, nil },
	-- Death Coil
	{ 6789, 3, 120, nil, false , false, nil, nil },
	{ 17925, 3, 120, nil, false , false, nil, nil },
	{ 17926, 3, 120, nil, false , false, nil, nil },
	{ 27223, 3, 120, nil, false , false, nil, nil },
	{ 47859, 3, 120, nil, false , false, nil, nil },
	{ 47860, 3, 120, nil, false , false, nil, nil },
	-- Drain Life
	{ 689, 5, nil, nil, false , false, nil, nil },						
	{ 699, 5, nil, nil, false , false, nil, nil },
	{ 709, 5, nil, nil, false , false, nil, nil },
	{ 7651, 5, nil, nil, false , false, nil, nil },
	{ 11699, 5, nil, nil, false , false, nil, nil },
	{ 11700, 5, nil, nil, false , false, nil, nil },
	{ 27219, 5, nil, nil, false , false, nil, nil },
	{ 27220, 5, nil, nil, false , false, nil, nil },
	{ 47857, 5, nil, nil, false , false, nil, nil },
	-- Drain Mana
	{ 5138, 5, nil, nil, false , false, nil, nil },						
	{ 6226, 5, nil, nil, false , false, nil, nil },
	{ 11703, 5, nil, nil, false , false, nil, nil },
	{ 11704, 5, nil, nil, false , false, nil, nil },
	{ 27221, 5, nil, nil, false , false, nil, nil },
	{ 30908, 5, nil, nil, false , false, nil, nil },
	{ 47858, 5, nil, nil, false , false, nil, nil },
	-- Enslave Demon
	{ 1098, 300, nil, nil, false , true, nil, nil },					
	{ 11725, 300, nil, nil, false , true, nil, nil },					
	{ 11726, 300, nil, nil, false , true, nil, nil },					
	{ 61191, 300, nil, nil, false , true, nil, nil },					
	-- Fear
	{ 5782, 10, nil, 10, true , false, nil, nil },						
	{ 6213, 15, nil, 10, true , false, nil, nil },						
	{ 6215, 20, nil, 10, true , false, nil, nil },						
	-- Haunt 
	{ 48181, 12, 10, nil, false , false, nil, nil },
	{ 59161, 12, 10, nil, false , false, nil, nil },
	{ 59163, 12, 10, nil, false , false, nil, nil },
	{ 59164, 12, 10, nil, false , false, nil, nil },
	-- Howl of Terror
	{ 5484, 6, 40, nil, false , false, nil, nil },
	{ 17298, 8, 40, nil, false , false, nil, nil },
	-- Immolate
	{ 348, 15, nil, nil, false , false, nil, nil },
	{ 707, 15, nil, nil, false , false, nil, nil },
	{ 1094, 15, nil, nil, false , false, nil, nil },
	{ 2941, 15, nil, nil, false , false, nil, nil },
	{ 11665, 15, nil, nil, false , false, nil, nil },
	{ 11667, 15, nil, nil, false , false, nil, nil },
	{ 11668, 15, nil, nil, false , false, nil, nil },
	{ 25309, 15, nil, nil, false , false, nil, nil },
	{ 27215, 15, nil, nil, false , false, nil, nil },
	{ 47810, 15, nil, nil, false , false, nil, nil },
	{ 47811, 15, nil, nil, false , false, nil, nil },
	-- Metamorphosis
	{ 47241, 30, 180, nil, false , false, nil, nil },
	{ 54817, 30, 180, nil, false , false, nil, nil },
	{ 54879, 30, 180, nil, false , false, nil, nil },
	{ 59673, 30, 180, nil, false , false, nil, nil },
	{ 61610, 30, 180, nil, false , false, nil, nil },
	-- Seed of Corruption
	{ 27243, 18, nil, nil, false , false, nil, nil },
	{ 47835, 18, nil, nil, false , false, nil, nil },
	{ 47836, 18, nil, nil, false , false, nil, nil },
	{ 47833, 18, nil, nil, false , false, nil, nil },	
	{ 47834, 18, nil, nil, false , false, nil, nil },	
	-- Shadowburn
	{ 18867, nil, 15, nil, false , false, nil, nil },
	{ 18868, nil, 15, nil, false , false, nil, nil },
	{ 18869, nil, 15, nil, false , false, nil, nil },
	{ 18870, nil, 15, nil, false , false, nil, nil },
	{ 18871, nil, 15, nil, false , false, nil, nil },
	{ 27263, nil, 15, nil, false , false, nil, nil },
	{ 30546, nil, 15, nil, false , false, nil, nil },
	{ 47826, nil, 15, nil, false , false, nil, nil },
	{ 47827, nil, 15, nil, false , false, nil, nil },
	-- Shadowflame
	{ 47897, 8, 15, nil, false , false, nil, nil },
	{ 61290, 8, 15, nil, false , false, nil, nil },
	-- Shadowfury
	{ 30283, 3, 20, nil, false , false, nil, nil },
	{ 30413, 3, 20, nil, false , false, nil, nil },
	{ 30414, 3, 20, nil, false , false, nil, nil },
	{ 47846, 3, 20, nil, false , false, nil, nil },
	{ 47847, 3, 20, nil, false , false, nil, nil },
	-- Siphon Life 
	{ 18265, 30, nil, nil, false , false, nil, nil },
	{ 18879, 30, nil, nil, false , false, nil, nil },
	{ 18880, 30, nil, nil, false , false, nil, nil },
	{ 18881, 30, nil, nil, false , false, nil, nil },
	{ 27264, 30, nil, nil, false , false, nil, nil },
	{ 30911, 30, nil, nil, false , false, nil, nil },
	{ 47861, 30, nil, nil, false , false, nil, nil },
	{ 47862, 30, nil, nil, false , false, nil, nil },
	-- Unstable Affliction
	{ 30108, 15, nil, nil, false , false, nil, nil },
	{ 30404, 15, nil, nil, false , false, nil, nil },
	{ 30405, 15, nil, nil, false , false, nil, nil },
	{ 47841, 15, nil, nil, false , false, nil, nil },
	{ 47843, 15, nil, nil, false , false, nil, nil },
		
	-- DRUID ======================================
	-- Challenging Roar
	{ 5209, 6, 180, nil, false , false, nil, nil },
	-- Dash
	{ 1850, 15, 180, nil, false , false, nil, nil },
	{ 9821, 15, 180, nil, false , false, nil, nil },
	{ 33357, 15, 180, nil, false , false, nil, nil },
	-- Entangling Roots
	{ 339, 12, nil, nil, false , true, nil, nil },
	{ 1062, 15, nil, nil, false , true, nil, nil },
	{ 5195, 18, nil, nil, false , true, nil, nil },
	{ 5196, 21, nil, nil, false , true, nil, nil },
	{ 9852, 24, nil, nil, false , true, nil, nil },
	{ 9853, 27, nil, nil, false , true, nil, nil },
	{ 26989, 27, nil, nil, false , true, nil, nil },
	{ 53308, 27, nil, nil, false , true, nil, nil },	
	-- Hybernate
	{ 2637, 20, nil, nil, false , false, nil, nil },
	{ 18657, 30, nil, nil, false , false, nil, nil },
	{ 18658, 40, nil, nil, false , false, nil, nil },
	-- Lifebloom
	{ 33763, 7, nil, nil, false , false, nil, nil },		
	{ 48450, 7, nil, nil, false , false, nil, nil },		
	{ 48451, 7, nil, nil, false , false, nil, nil },
	-- Regrowth
	{ 8936, 21, nil, nil, false , false, nil, nil },		
	{ 8938, 21, nil, nil, false , false, nil, nil },		
	{ 8939, 21, nil, nil, false , false, nil, nil },		
	{ 8940, 21, nil, nil, false , false, nil, nil },		
	{ 8941, 21, nil, nil, false , false, nil, nil },		
	{ 9750, 21, nil, nil, false , false, nil, nil },		
	{ 9856, 21, nil, nil, false , false, nil, nil },		
	{ 9857, 21, nil, nil, false , false, nil, nil },		
	{ 9858, 21, nil, nil, false , false, nil, nil },		
	{ 26980, 21, nil, nil, false , false, nil, nil },		
	{ 48442, 21, nil, nil, false , false, nil, nil },		
	{ 48443, 21, nil, nil, false , false, nil, nil },				
	-- Rejuvenation
	{ 774, 12, nil, nil, false , false, nil, nil },		
	{ 1058, 12, nil, nil, false , false, nil, nil },		
	{ 1430, 12, nil, nil, false , false, nil, nil },		
	{ 2090, 12, nil, nil, false , false, nil, nil },		
	{ 2091, 12, nil, nil, false , false, nil, nil },		
	{ 3627, 12, nil, nil, false , false, nil, nil },		
	{ 8910, 12, nil, nil, false , false, nil, nil },		
	{ 9839, 12, nil, nil, false , false, nil, nil },		
	{ 9840, 12, nil, nil, false , false, nil, nil },		
	{ 9841, 12, nil, nil, false , false, nil, nil },		
	{ 25299, 12, nil, nil, false , false, nil, nil },		
	{ 26981, 12, nil, nil, false , false, nil, nil },		
	{ 26982, 12, nil, nil, false , false, nil, nil },		
	{ 48440, 12, nil, nil, false , false, nil, nil },		
	{ 48441, 15, nil, nil, false , false, nil, nil },		
		
	-- PALADIN
	-- Hammer of Justice
  	{ 853, 3, 60, nil, false , false, nil, nil },
  	{ 5588, 4, 60, nil, false , false, nil, nil },
  	{ 5589, 5, 60, nil, false , false, nil, nil },
  	{ 10308, 6, 60, nil, false , false, nil, nil },
  	-- Repentance
  	{ 20066, 60, 60, nil, false , false, nil, nil },
	
	-- DEATH KNIGHT	=====================================
	-- Icy Touch
  	{ 45477, 12, nil, nil, false , false, nil, nil },
  	{ 52372, 20, 6, nil, false , false, nil, nil },
	-- Mind Freeze
  	{ 47528, 4, 10, nil, false , false, nil, nil },
	-- Chains of Ice
  	{ 45524, 10, nil, nil, false , false, nil, nil },
	-- Death and Decay
  	{ 43265, 10, 30, nil, false , false, nil, nil },
	-- Strangulate
  	{ 47476, 5, 120, nil, false , false, nil, nil },
  	{ 49913, 5, 120, nil, false , false, nil, nil },
  	{ 49914, 5, 120, nil, false , false, nil, nil },
  	{ 49915, 5, 120, nil, false , false, nil, nil },
  	{ 49916, 5, 120, nil, false , false, nil, nil },
  	-- Anti-Magic Shell
   	{ 48707, 5, 60, nil, false, false, nil, nil }	
	
};


--
--	Get Spell Information from our table.
--	Arg: spell_id, dstGUID
--	Returns: spell_id, duration, cooldown, pvp_dur, dr, cc, combos awarded, stacks
--
function NECB_GetSpellInfo(spell_id, mobs_id)
	-- is this target a player?
	local guid = strsub(mobs_id, 1 ,5);
	if(bit.band(guid, 0x00F) == 0) then IsNonNPC = true; 
	else IsNonNPC = false; end;
	-- now loop and get the spell im interested in.
	for count,value in ipairs(NECB_SupportedAbilities) do 
		if(value[1] == spell_id) then
			if(IsNonNPC and value[4]) then
				-- im a player and its got a pvp timer.
				return value[1], value[4], value[3], value[4], value[5], value[6], value[7], value[8]; 
			else
				-- standard durations, im a npc or not pvp dur, or i havent suppled a mobs_id
				return value[1], value[2], value[3], value[4], value[5], value[6], value[7], value[8]; 
			end;
		end;
	end;
	return(false);
end;