﻿
--[[


		$title:			Natur Enemy Castbar [Softrix Rewrite]
		$version:		r20118 BETA
		$date:			11th November 2008
		
		$credits:		Natur Enemy Castbar [Softrix Rewrite] is a complete rewrite
						based on the addon by Naturfreund.  Credits also go to 
						Shadowed who is the author of the GTB bar library which I
						have modified for this addon.  The original unmodified GTB 
						library for the purpose of these credits is at:
						
						http://www.wowinterface.com/downloads/info10204-GTB-1.0.html
						
						
		
]]--


NECB_SAFELOADCHECK = false;		-- stops the sliders updating before we have full control.  lua bug fix =p

--
--	CHECKBOX FUNCTIONS
--
function EnableAddonCheck_PostClick()
	local CheckboxEnabled = EnableAddonCheck:GetChecked();
	if(CheckboxEnabled == 1) then 
		NECB_GlobalOptions[1] = true 
	else 
		NECB_GlobalOptions[1] = false 
	end;
end
function ShowTargetCooldownsCheck_PostClick()
	local CheckboxEnabled = ShowTargetCooldownsCheck:GetChecked();
	if(CheckboxEnabled == 1) then 
		NECB_GlobalOptions[28] = true 
	else 
		NECB_GlobalOptions[28] = false 
	end;
end
function ShowMyCooldownsCheck_PostClick()
	local CheckboxEnabled = ShowMyCooldownsCheck:GetChecked();
	if(CheckboxEnabled == 1) then 
		NECB_GlobalOptions[27] = true 
	else 
		NECB_GlobalOptions[27] = false 
	end;
end
function SplitGroupsCheck_PostClick()
	local CheckboxEnabled = SplitGroupsCheck:GetChecked();
	if(CheckboxEnabled == 1) then 
		NECB_GlobalOptions[26] = true 
	else 
		NECB_GlobalOptions[26] = false 
	end;
end
function ShowOnlyMySelectedTargetCheck_PostClick()
	local CheckboxEnabled = ShowOnlyMySelectedTargetCheck:GetChecked();
	if(CheckboxEnabled == 1) then 
		NECB_GlobalOptions[38] = true 
	else 
		NECB_GlobalOptions[38] = false 
	end;
end
function ShowAllCastsAroundCheck_PostClick()
	local CheckboxEnabled = ShowAllCastsAroundCheck:GetChecked();
	if(CheckboxEnabled == 1) then 
		NECB_GlobalOptions[22] = true 
	else 
		NECB_GlobalOptions[22] = false 
	end;
end
function UseKillingBlowSoundsCheck_PostClick()
	local CheckboxEnabled = UseKillingBlowSoundsCheck:GetChecked();
	if(CheckboxEnabled == 1) then 
		NECB_GlobalOptions[23] = true 
	else 
		NECB_GlobalOptions[23] = false 
	end;
end
function UseMaleVoiceCheck_PostClick()
	-- do we want male or female?
	local CheckboxEnabled = UseMaleVoiceCheck:GetChecked();
	if(CheckboxEnabled == 1) then
		NECB_GlobalOptions[24] = "Male";
	else
		NECB_GlobalOptions[24] = "Female";
	end;	
end
function PlayKBWhileQuestingCheck_PostClick()
	local CheckboxEnabled = PlayKBWhileQuestingCheck:GetChecked();
	if(CheckboxEnabled == 1) then 
		NECB_GlobalOptions[25] = true 
	else 
		NECB_GlobalOptions[25] = false 
	end;
end
function LockAnchorsCheck_PostClick()
	local CheckboxEnabled = LockAnchorsCheck:GetChecked();
	if(CheckboxEnabled == 1) then 
		NECB_GlobalOptions[2] = false 
	else 
		NECB_GlobalOptions[2] = true 
	end;
	NECBPrimaryGroup:SetAnchorVisible(NECB_GlobalOptions[2]);
	NECBCooldownGroup:SetAnchorVisible(NECB_GlobalOptions[2]);
end
function ShowOtherCCCheck_PostClick()
	local CheckboxEnabled = ShowOtherCCCheck:GetChecked();
	if(CheckboxEnabled == 1) then 
		NECB_GlobalOptions[29] = true 
	else 
		NECB_GlobalOptions[29] = false 
	end;
end
function ShowDiminishingCheck_PostClick()
	local CheckboxEnabled = ShowDiminishingCheck:GetChecked();
	if(CheckboxEnabled == 1) then 
		NECB_GlobalOptions[30] = true 
	else 
		NECB_GlobalOptions[30] = false 
	end;
end
function FlashUIImmuneCheck_PostClick()
	local CheckboxEnabled = FlashUIImmuneCheck:GetChecked();
	if(CheckboxEnabled == 1) then 
		NECB_GlobalOptions[31] = true 
	else 
		NECB_GlobalOptions[31] = false 
	end;
end
function FlashUIResistCheck_PostClick()
	local CheckboxEnabled = FlashUIResistCheck:GetChecked();
	if(CheckboxEnabled == 1) then 
		NECB_GlobalOptions[32] = true 
	else 
		NECB_GlobalOptions[32] = false 
	end;
end
function SoundsOnResistCheck_PostClick()
	local CheckboxEnabled = SoundsOnResistCheck:GetChecked();
	if(CheckboxEnabled == 1) then 
		NECB_GlobalOptions[36] = true 
	else 
		NECB_GlobalOptions[36] = false 
	end;
end
function SoundsOnImmuneCheck_PostClick()
	local CheckboxEnabled = SoundsOnImmuneCheck:GetChecked();
	if(CheckboxEnabled == 1) then 
		NECB_GlobalOptions[35] = true 
	else 
		NECB_GlobalOptions[35] = false 
	end;
end
function PrimaryBarsMoveUpCheck_PostClick()
	local CheckboxEnabled = PrimaryBarsMoveUpCheck:GetChecked();
	if(CheckboxEnabled == 1) then
		NECB_GlobalOptions[5] = "UP";
	else
		NECB_GlobalOptions[5] = "DOWN";
	end;
	NECBPrimaryGroup:SetBarGrowth(NECB_GlobalOptions[5]);
end
function CooldownsMoveUpCheck_PostClick()
	local CheckboxEnabled = CooldownsMoveUpCheck:GetChecked();
	if(CheckboxEnabled == 1) then
		NECB_GlobalOptions[11] = "UP";
	else
		NECB_GlobalOptions[11] = "DOWN";
	end;
	NECBCooldownGroup:SetBarGrowth(NECB_GlobalOptions[5]);
end


--
--	Read the options table and set the option controls
--
function NECB_ProcessOptionsFrame()
	-- set the check boxes.
	if(NECB_GlobalOptions[1]) then EnableAddonCheck:SetChecked(true); end;
	if(NECB_GlobalOptions[28]) then ShowTargetCooldownsCheck:SetChecked(true); end;
	if(NECB_GlobalOptions[27]) then ShowMyCooldownsCheck:SetChecked(true); end;
	if(NECB_GlobalOptions[26]) then SplitGroupsCheck:SetChecked(true); end;
	if(NECB_GlobalOptions[38]) then ShowOnlyMySelectedTargetCheck:SetChecked(true); end;
	if(NECB_GlobalOptions[22]) then ShowAllCastsAroundCheck:SetChecked(true); end;
	if(NECB_GlobalOptions[23]) then UseKillingBlowSoundsCheck:SetChecked(true); end;
	if(NECB_GlobalOptions[24]=="Male") then UseMaleVoiceCheck:SetChecked(true); end;
	if(NECB_GlobalOptions[25]) then PlayKBWhileQuestingCheck:SetChecked(true); end;
	if(not(NECB_GlobalOptions[2])) then LockAnchorsCheck:SetChecked(true); end;
	if(NECB_GlobalOptions[29]) then ShowOtherCCCheck:SetChecked(true); end;
	if(NECB_GlobalOptions[30]) then ShowDiminishingCheck:SetChecked(true); end;
	if(NECB_GlobalOptions[31]) then FlashUIImmuneCheck:SetChecked(true); end;
	if(NECB_GlobalOptions[32]) then FlashUIResistCheck:SetChecked(true); end;
	if(NECB_GlobalOptions[36]) then SoundsOnResistCheck:SetChecked(true); end;
	if(NECB_GlobalOptions[35]) then SoundsOnImmuneCheck:SetChecked(true); end;
	if(NECB_GlobalOptions[37]) then ShowRogueWarningCheck:SetChecked(true); end;
	if(NECB_GlobalOptions[40]) then ShowOthersDRTimersCheck:SetChecked(true); end;
	if(NECB_GlobalOptions[5] == "UP") then PrimaryBarsMoveUpCheck:SetChecked(true); end;
	if(NECB_GlobalOptions[11] == "UP") then CooldownsMoveUpCheck:SetChecked(true); end;
	
	-- change the sliders for primary group
	PrimaryHeightText:SetText(NECB_GlobalOptions[6]);
	PrimaryBarHeightSlider:SetValue(NECB_GlobalOptions[6]);
	PrimaryWidth:SetText(NECB_GlobalOptions[7]);
	PrimaryBarWidthSlider:SetValue(NECB_GlobalOptions[7]);
	PrimaryMaxBars:SetText(NECB_GlobalOptions[33]);
	PrimaryMaxBarsSlider:SetValue(NECB_GlobalOptions[33]);
	PrimaryBarTextureSlider:SetValue(NECB_GlobalOptions[8]);
	PrimaryTextureDesign:SetTexture(NECB_Textures[NECB_GlobalOptions[8]]);

	-- change the sliders for cooldown group
	CooldownHeight:SetText(NECB_GlobalOptions[12]);
	CooldownBarHeightSlider:SetValue(NECB_GlobalOptions[12]);
	CooldownWidth:SetText(NECB_GlobalOptions[13]);
	CooldownBarWidthSlider:SetValue(NECB_GlobalOptions[13]);
	CooldownMaxBars:SetText(NECB_GlobalOptions[34]);
	CooldownMaxBarsSlider:SetValue(NECB_GlobalOptions[34]);
	CooldownBarTextureSlider:SetValue(NECB_GlobalOptions[14]);
	CooldownTextureDesign:SetTexture(NECB_Textures[NECB_GlobalOptions[14]]);
	
	-- set bar textures 
	NECBPrimaryGroup:SetTexture(NECB_Textures[NECB_GlobalOptions[8]]);
	PrimaryTextureDesign:SetTexture(NECB_Textures[NECB_GlobalOptions[8]]);
	NECBCooldownGroup:SetTexture(NECB_Textures[NECB_GlobalOptions[14]]);
	CooldownTextureDesign:SetTexture(NECB_Textures[NECB_GlobalOptions[14]]);

	-- set max bars.
	NECBPrimaryGroup:SetMaxBars(NECB_GlobalOptions[33]);
	NECBCooldownGroup:SetMaxBars(NECB_GlobalOptions[34]);
	
end;

--
--	Close Button.
--
function CloseNECBOptionsButton_PostClick()
	NECB_MainOptionsFrame:Hide();
end

--
--	SLIDER FUNCTIONS
--
function PrimaryBarHeightSlider_OnValueChanged()
	if(NECB_SAFELOADCHECK) then
		-- safe to modify!
		local value = PrimaryBarHeightSlider:GetValue();
		PrimaryHeightText:SetText(value);
		NECB_GlobalOptions[6] = value;
		NECBPrimaryGroup:SetHeight(NECB_GlobalOptions[6]);
	end;
end

function PrimaryBarWidthSlider_OnValueChanged()
	if(NECB_SAFELOADCHECK) then
		-- safe to modify!
		local value = PrimaryBarWidthSlider:GetValue();
		PrimaryWidth:SetText(value);
		NECB_GlobalOptions[7] = value;
		NECBPrimaryGroup:SetWidth(NECB_GlobalOptions[7]);
	end;
end

function PrimaryMaxBarsSlider_OnValueChanged()
	if(NECB_SAFELOADCHECK) then
		-- safe to modify!
		local value = PrimaryMaxBarsSlider:GetValue();
		PrimaryMaxBars:SetText(value);
		NECB_GlobalOptions[33] = value;
		NECBPrimaryGroup:SetMaxBars(value);
	end;
end

function PrimaryBarTextureSlider_OnValueChanged()
	if(NECB_SAFELOADCHECK) then
		-- safe to modify!
		local value = PrimaryBarTextureSlider:GetValue();
		PrimaryTextureDesign:SetTexture(NECB_Textures[value]);
		NECB_GlobalOptions[8] = value;
		NECBPrimaryGroup:SetTexture(NECB_Textures[value]);
	end;
end

function CooldownBarHeightSlider_OnValueChanged()
	if(NECB_SAFELOADCHECK) then
		-- safe to modify!
		local value = CooldownBarHeightSlider:GetValue();
		CooldownHeight:SetText(value);
		NECB_GlobalOptions[12] = value;
		NECBCooldownGroup:SetHeight(NECB_GlobalOptions[12]);
	end;
end

function CooldownBarWidthSlider_OnValueChanged()
	if(NECB_SAFELOADCHECK) then
		-- safe to modify!
		local value = CooldownBarWidthSlider:GetValue();
		CooldownWidth:SetText(value);
		NECB_GlobalOptions[13] = value;
		NECBCooldownGroup:SetWidth(NECB_GlobalOptions[13]);
	end;
end

function CooldownMaxBarsSlider_OnValueChanged()
	if(NECB_SAFELOADCHECK) then
		-- safe to modify!
		local value = CooldownMaxBarsSlider:GetValue();
		CooldownMaxBars:SetText(value);
		NECB_GlobalOptions[34] = value;
		NECBCooldownGroup:SetMaxBars(value);
	end;
end

function CooldownBarTextureSlider_OnValueChanged()
	if(NECB_SAFELOADCHECK) then
		-- safe to modify!
		local value = CooldownBarTextureSlider:GetValue();
		CooldownTextureDesign:SetTexture(NECB_Textures[value]);
		NECB_GlobalOptions[14] = value;
		NECBCooldownGroup:SetTexture(NECB_Textures[value]);
	end;
end

-- run some test bars
function TestbarsButton_PostClick()
	NECBPrimaryGroup:RegisterBar("Test1", "Тест полоса №1", 10, 10, NECB_TargetGFX, NECB_FocusGFX);	
	NECBPrimaryGroup:RegisterBar("Test2", "Тест полоса №2", 8, 10, NECB_TargetGFX, NECB_FocusGFX);	
	NECBPrimaryGroup:RegisterBar("Test3", "Тест полоса №3", 6, 10, NECB_TargetGFX, NECB_FocusGFX);	
	NECBPrimaryGroup:RegisterBar("Test4", "Тест полоса №4", 4, 10, NECB_TargetGFX, NECB_FocusGFX);	
	NECBPrimaryGroup:RegisterBar("Test5", "Тест полоса №5", 2, 10, NECB_TargetGFX, NECB_FocusGFX);	
	NECBCooldownGroup:RegisterBar("Test1", "Тест полоса №1", 10, 10, NECB_TargetGFX, NECB_FocusGFX);	
	NECBCooldownGroup:RegisterBar("Test2", "Тест полоса №2", 8, 10, NECB_TargetGFX, NECB_FocusGFX);	
	NECBCooldownGroup:RegisterBar("Test3", "Тест полоса №3", 6, 10, NECB_TargetGFX, NECB_FocusGFX);	
	NECBCooldownGroup:RegisterBar("Test4", "Тест полоса №4", 4, 10, NECB_TargetGFX, NECB_FocusGFX);	
	NECBCooldownGroup:RegisterBar("Test5", "Тест полоса №5", 2, 10, NECB_TargetGFX, NECB_FocusGFX);	

end

function ShowRogueWarningCheck_PostClick()
	local CheckboxEnabled = ShowRogueWarningCheck:GetChecked();
	if(CheckboxEnabled == 1) then 
		NECB_GlobalOptions[37] = true 
	else 
		NECB_GlobalOptions[37] = false 
	end;
end

function ShowOthersDRTimersCheck_PostClick()
	local CheckboxEnabled = ShowOthersDRTimersCheck:GetChecked();
	if(CheckboxEnabled == 1) then 
		NECB_GlobalOptions[40] = true 
	else 
		NECB_GlobalOptions[40] = false 
	end;
end
